Package org.jboss.resteasy.core

## Class PrefixedFormInjector

- java.lang.Object
- - org.jboss.resteasy.core.FormInjector
  - - org.jboss.resteasy.core.PrefixedFormInjector

- All Implemented Interfaces:
    `ValueInjector`
  Direct Known Subclasses:
    `AbstractCollectionFormInjector`

      public class PrefixedFormInjector
      extends FormInjector

  Extension of `FormInjector` that handles prefixes for associated classes.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PrefixedFormInjector​(Class type, String prefix, ResteasyProviderFactory factory)` | Constructor setting the prefix.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Object` | `doInject​(String prefix, HttpRequest request, HttpResponse response, boolean unwrapAsync)` | Calls the super `inject(org.jboss.resteasy.spi.HttpRequest, org.jboss.resteasy.spi.HttpResponse, boolean)` method.
    `protected boolean` | `hasValue​(List<String> list)` | Checks that the list has an non empty value.
    `Object` | `inject​(HttpRequest request, HttpResponse response, boolean unwrapAsync)` | Inject inside the context of an HTTP request.

    - ### Methods inherited from class org.jboss.resteasy.core.FormInjector

      `inject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrefixedFormInjector

          public PrefixedFormInjector​(Class type,
                                      String prefix,
                                      ResteasyProviderFactory factory)

      Constructor setting the prefix.
      Parameters:
        `type` - type class
        `prefix` - prefix
        `factory` - provider factory

  - ### Method Detail

    - #### inject

          public Object inject​(HttpRequest request,
                               HttpResponse response,
                               boolean unwrapAsync)

      Inject inside the context of an HTTP request. Wraps the request in a
      Specified by:
        `inject` in interface `ValueInjector`
      Overrides:
        `inject` in class `FormInjector`
      Parameters:
        `request` - http request
        `response` - http response
        `unwrapAsync` - unwrap async
      Returns:
        object

    - #### doInject

          protected Object doInject​(String prefix,
                                    HttpRequest request,
                                    HttpResponse response,
                                    boolean unwrapAsync)

      Calls the super `inject(org.jboss.resteasy.spi.HttpRequest, org.jboss.resteasy.spi.HttpResponse, boolean)` method.
      Parameters:
        `prefix` - prefix
        `request` - http request
        `response` - http response
        `unwrapAsync` - unwrap async
      Returns:
        injector instance

    - #### hasValue

          protected boolean hasValue​(List<String> list)

      Checks that the list has an non empty value.
      Parameters:
        `list` - list of values
      Returns:
        true if the list contains values